/*
 *  Copyright (c) 1994 by FORE Systems, Inc.
 */

/* @(#)$Id: esp_fatal.h,v 1.10 1995/11/07 21:53:53 areynold Exp $ FSI */

/*
 * Values written to the heartbeat varialble on unrecoverable errors.
 */
#define FLAT_LINE  0xdead0000

#define UNEXPECTED_HOST_INTR     (FLAT_LINE + 0x1)
#define UNEXPECTED_NET_INTR      (FLAT_LINE + 0x2)
#define UNEXPECTED_HBUS_INTR     (FLAT_LINE + 0x3)
#define UNEXPECTED_LBUS_INTR     (FLAT_LINE + 0x4)
#define UNEXPECTED_BAD_INTR      (FLAT_LINE + 0x5)
#define MARKER_STUCK1            (FLAT_LINE + 0x6)
#define MARKER_STUCK2            (FLAT_LINE + 0x7)
#define UNEXPECTED_AAL           (FLAT_LINE + 0x8)
#define BAD_NUM_TXSEG            (FLAT_LINE + 0x9)
#define BAD_TPD_SIZE             (FLAT_LINE + 0xa)
#define BAD_SEG_LEN              (FLAT_LINE + 0xb)
#define BAD_PDU_LEN              (FLAT_LINE + 0xc)
#define END_TWO_PASS_COMPILE     (FLAT_LINE + 0xd)
#define UNEXPECTED_TAGERR_INTR   (FLAT_LINE + 0xe)
#define UNEXPECTED_XFRERR_INTR   (FLAT_LINE + 0xf)
#define RX_CELL_THRESHOLD_INTERRUPT  (FLAT_LINE + 0x10)
#define RX_CELL_OVERFLOW_INTERRUPT   (FLAT_LINE + 0x11)
#define RX_PAY_UNDERFLOW_INTERRUPT   (FLAT_LINE + 0x12)
#define TX_SEQ_ERROR_INTERRUPT       (FLAT_LINE + 0x13)
#define SUNI_INITIALIZATION_FAIL     (FLAT_LINE + 0x14)
#define SAFE_SHUTDOWN_BY_USER        (FLAT_LINE + 0xFF)
