/*
 * Copyright (c) 1991 by Fore Systems, Inc.
 */

#ifndef _types_h
#define _types_h

#ifndef lint
static char _types_h_rcsid[] = "@(#)$Id: types.h,v 1.13 1994/09/10 18:58:21 tt Exp $ FSI";
#endif /* lint */

#if defined(NO_ANSI)
#define volatile
#endif /* NO_ANSI */

#if !defined(aix) && !defined(__hpux)
typedef unsigned char   u_char;
typedef unsigned char * caddr_t;
typedef unsigned short  u_short;
typedef unsigned int    u_int;
typedef unsigned long   u_long;
#endif /* !(aix && __hpux) */

typedef volatile unsigned int Single;
typedef unsigned int SingleNV;

struct double_word {
	u_int w1;
	u_int w2;
};
typedef volatile struct double_word Double;
typedef struct double_word DoubleNV;

struct quad_word {
	u_int w1;
	u_int w2;
	u_int w3;
	u_int w4;
};
typedef volatile struct quad_word Quad;
typedef struct quad_word QuadNV;

/*
 * TODO move these transfer structrures to new file
 * dma_fsm.h
 */
typedef struct transfer Transfer;
struct transfer {
    u_int       (*transfer_payload)();
    Transfer    *next_transfer;
};

enum Aal_type {
    aal_null   = 0,
    aal_type_1 = 1,
    aal_type_2 = 2,
    aal_type_3 = 3,
    aal_type_4 = 4,
    aal_type_5 = 5,
};
typedef enum Aal_type Aal_type;

typedef u_int Vpvc; 
typedef volatile u_int  Register;
typedef volatile u_int  Fifo;
typedef volatile u_int  Bifo;

#ifdef DIAG
typedef u_int Haddr;
#endif /* DIAG */

#endif /* _types_h */
