#include <stdio.h>
#include <dos.h>
#include <stdlib.h>                     // free()
#include "..\wattcp\tcp.h"
#include "..\wattcp\elib.h"
#include "..\types\types.h"
#include "..\dpmi32\intr.h"
#include "..\dpmi32\far.h"


static Bit48 oldinterrupt;
static vfp thunk;

#define DOS_INTERRUPT 0x21

tcp_Socket *control_socket;


// turn off compiler warning about unused parameters cs and eip
// since I know they won't be used and I must have
// them because calling code cannot be changed
//
#pragma warn -par

static int newinterrupt( void *parms, Bit32 ebp, Bit32 edi, Bit32 esi,
    Bit32 ds, Bit32 es, Bit32 edx, Bit32 ecx, Bit32 ebx, Bit32 eax,
    Bit32 eip, Bit32 cs, Bit32 eflags )
{
    /* if this is a character output call...
     */
    if( (eax & 0xFF) == 0x11 )
        sock_printf( control_socket, "%c", ecx&0xFF );
    else
        return TRUE;

    /* please don't chain to old handler
     */
    return FALSE;
}

// turn compiler warning about unused parameters
// back to whatever it was before I messed with it
//
#pragma warn .par



void backgroundon( tcp_Socket *control_socket0 )
{
    Bit48 pointer;

    control_socket = control_socket0;
    oldinterrupt = getvect( DOS_INTERRUPT );

    thunk = make_thunk( newinterrupt, &oldinterrupt, NULL );

    pointer.offset = (Bit32) thunk;
    pointer.selector = _CS;
    setvect( DOS_INTERRUPT, pointer );
}



void backgroundoff(void)
{
    setvect( DOS_INTERRUPT, oldinterrupt );
    free( thunk );
}



void main( void )
{
    printf( "hello\n" );
}
