#ifndef _FAR_H
#define _FAR_H

// headers we depend upon
//
#include "..\types\types.h"

#ifdef __cplusplus
extern "C" {
#endif



Bit32 far_read32( Bit48 pointer );

void far_write32( Bit48 pointer, Bit32 value );

int far_memcmp( Bit48 src_ptr, Bit48 dest_ptr, Bit32 count );

void far_call( Bit48 pointer, Bit32 ebp, Bit32 edi, Bit32 esi,
    Bit32 ds, Bit32 es,
    Bit32 edx, Bit32 ecx, Bit32 ebx, Bit32 eax, Bit32 eflags
);



#ifdef __cplusplus
}
#endif

#endif      // not included yet
