#include "..\types\types.h"             // Bit32 Bit16
#include "..\integrat\constant.h"       // DO_FOREGROUND_STATS


#define PAGE_SIZE        0x1000         // always 4K bytes

#ifdef __cplusplus
extern "C" {
#endif

#ifdef __DPMI32__
    Bit32 get_limit( Bit16 selector );
    Bit32 get_base( Bit16 selector );
    void *map_physical( Bit32 physical, Bit32 bytes, Bit32 *mem_handle_ptr );
    void unmap_physical( Bit32 bytes, Bit32 mem_handle );
    Bit32 flat_to_linear( void *pointer );
    Bit16 lock_linear( Bit32 pointer, Bit32 length );
    Bit16 unlock_linear( Bit32 pointer, Bit32 length );
#else
    // allow flat.cpp to at least parse the environment variables from realmode
    //
#   define map_physical(physical,bytes,mem_handle_ptr) 0
#   define unmap_physical(bytes,mem_handle)
#endif

#ifdef __cplusplus
}
#endif

