# -Tm2          tell assembler to use 2 passes to resolve forward references
# -w-par        don't complain about unused parameters
# -vi           expand functions inline (doesn't help my constructors, dammit!)
# -O            optimize
# -v            include debugging symbols
# -WX           generate 32-bit DPMI executable
# -B            compile via assembly
#
all: phystst2.exe phystest.exe

clean:
    del *.obj
    del *.exe

.c.obj:
    bcc32 -c -v -WX $**

.cpp.obj:
    bcc32 -c -v -WX $**

phys.obj: phys.c

flat.obj: flat.cpp

timestmp.obj: ../intel/timestmp.cpp

phystest.obj: phystest.c

phystst2.obj: phystst2.cpp

phystest.exe:    phystest.obj phys.obj
    bcc32 -v -WX $**

phystst2.exe:    phystst2.obj phys.obj flat.obj timestmp.obj
    bcc32 -v -WX $**

