;
;  semaphor
;
;  perform semaphor stuff
;
;  (c) 1990 University of Waterloo,
;           Faculty of Engineering,
;           Engineering Microcomputer Network Development Office
;
;
;
    include masmdefs.hsm
    include model.hsm

codedef semaphor
datadef

;*************************************************************************
;  USAGE:  int sem_up( UINT * p)
;      1 on failure
;      0 on success
;
;  no need to preserve ES register across this call
;  because the calling convention specifies that it
;  is a scratch register (Joel's assumption 12/12/97)
;*************************************************************************
cstart  semaphor

cpublic sem_up
if FUNC_L
    mov    ax, 1
    les    di,+@AB [BP]          ; get pointer
    xchg   ax, word ptr es:[di]  ; perform swap
else
    mov    EAX, 1
    mov    ECX, +@AB [EBP]       ; get pointer
    xchg   EAX, dword ptr [ECX]  ; perform swap
endif
creturn sem_up

cend    semaphor
        end
